module viewer_interfaces_none
  interface
    subroutine viewer_pack_set(pack)
      use gpack_def
      !
      type(gpack_info_t), intent(out) :: pack
    end subroutine viewer_pack_set
  end interface
  !
  interface
    subroutine viewer_pack_init(gpack_id,error)
      use sic_def
      !----------------------------------------------------------------------
      !
      !----------------------------------------------------------------------
      integer :: gpack_id
      logical :: error
    end subroutine viewer_pack_init
  end interface
  !
  interface
    subroutine viewer_pack_on_exit(error)
      !----------------------------------------------------------------------
      !
      !----------------------------------------------------------------------
      logical :: error
    end subroutine viewer_pack_on_exit
  end interface
  !
end module viewer_interfaces_none
